be.ehealth.business.mycarenetdomaincommons.domain

## Class McnPackageInfo

- java.lang.Object
- - be.ehealth.technicalconnector.config.util.domain.PackageInfo
  - - be.ehealth.business.mycarenetdomaincommons.domain.McnPackageInfo

-     public class McnPackageInfo
      extends PackageInfo

  maps to the mycarenet PackageType.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McnPackageInfo(String userName, String password, String packageName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPackageName()` Getter for name.
    `String` | `getPassword()` Getter for password.
    `String` | `getUserName()` Getter for userName.
    `void` | `setPackageName(String packageName)` Setter for name.
    `void` | `setPassword(String password)` Setter for password.
    `void` | `setUserName(String userName)` Setter for userName.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McnPackageInfo

          public McnPackageInfo(String userName,
                                String password,
                                String packageName)

      Parameters:
        `packageName` -
        `userName` -
        `password` -

  - ### Method Detail

    - #### getPackageName

          public String getPackageName()

      Description copied from class: `PackageInfo`
      Getter for name.
      Overrides:
        `getPackageName` in class `PackageInfo`
      Returns:
        the packageName

    - #### setPackageName

          public void setPackageName(String packageName)

      Description copied from class: `PackageInfo`
      Setter for name.
      Overrides:
        `setPackageName` in class `PackageInfo`
      Parameters:
        `packageName` - the packageName to set

    - #### getUserName

          public String getUserName()

      Description copied from class: `PackageInfo`
      Getter for userName.
      Overrides:
        `getUserName` in class `PackageInfo`
      Returns:
        the userName

    - #### setUserName

          public void setUserName(String userName)

      Description copied from class: `PackageInfo`
      Setter for userName.
      Overrides:
        `setUserName` in class `PackageInfo`
      Parameters:
        `userName` - the userName to set

    - #### getPassword

          public String getPassword()

      Description copied from class: `PackageInfo`
      Getter for password.
      Overrides:
        `getPassword` in class `PackageInfo`
      Returns:
        the password

    - #### setPassword

          public void setPassword(String password)

      Description copied from class: `PackageInfo`
      Setter for password.
      Overrides:
        `setPassword` in class `PackageInfo`
      Parameters:
        `password` - the password to set

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.